团队

加入团队

POST/api/teams/join

使用团队访问代码将当前用户作为成员添加到团队。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
accessCoderequiredstringCode used to join the team.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
rolerequiredstringPermission role assigned to the user.
teamIdrequiredstringID of the associated team.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL